logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.




Apache httpd 2.4.33-vote available

 
Post new topic   Reply to topic    Apache Forum Index -> News & Hangout



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2662
Location: Hilversum, NL, EU

PostPosted: Sun 18 Mar '18 14:26    Post subject: Apache httpd 2.4.33-vote available Reply with quote

Apache httpd 2.4.33 is around the corner, voting at ASF has started.. Expected that this is becoming the final.

Please give it a go, and mail me and/or post here or BZ when issues.

ASF and Apachelounge changes :

https://www.apachelounge.com/Changelog-2.4.html

Download: Removed, vote passed and Released as 2.4.33 GA


*) mod_md is in 2.4.30 added as an experimental module, not advised to use in production yet, we need success stories.

Also Let's encrypt has new features, like the new ACMEv2 protocol and wildcard. So better to wait with mod_md.

Advised is to use:
win-acme
which has a more complete feature set. No wildcard and ACME v2 yet.
or
Which have wild card certificates and ACME v2 https://www.sslforfree.com/ or command line client https://github.com/do-know/Crypt-LE

Please mail me or post here when you have success with mod_md or not.

*) Includes the fix for mod_proxy_balancer

*) 2.4.32 Was not announced by the ASF, because the mod_proxy_balancer issue

*) 2.4.30 and 2.4.31 not released

*) Includes the fix for crashing with modules like mod_security.


Build with:

nghttp2 1.31.0
jansson 2.11
curl 7.59.0
apr 1.6.3
apr-util 1.6.1 with Crypto OpenSSL enabled
apr-iconv 1.2.2
VC15 openssl 1.1.0g
zlib 1.2.11
brotli lib 1.0.3
pcre 8.41 with JIT, SUPPORT_UTF, SUPPORT_UNICODE_PROPERTIES, REBUILD_CHARTABLES
httpd.exe with OPENSSL_Applink and VC14/15 SupportedOS Manifest
libxml2 2.9.8
lua 5.2.4
expat 2.2.5

VC15 notes:
VC15 is backward compatible to VC14. That means, a VC14 module can be used inside a VC15 binary (for example PHP VC14 as module). Because this compatibility the version number of the Redistributable is 14.1x.xx and after you install, the Redistributable VS2015 is updated from 14.0x.xx to VS2017 14.1x.xx (you can still use VC14).

Documentation: http://httpd.apache.org/docs/2.4/

When you have hangs, slow traffic and/or when having in your log entries like Asynchronous AcceptEx failed. You can try the following settings:

AcceptFilter http none
AcceptFilter https none
EnableSendfile off
EnableMMAP off

Enjoy,

Steffen
Back to top


Post new topic   Reply to topic    Apache Forum Index -> News & Hangout
Page 1 of 1